MONGOC_CLIENT_DECRYPTION_DECRYPT(3)

NAME
mongoc_client_decryption_decrypt - mongoc_client_decryption_decrypt()

SYNOPSIS

        bool
        mongoc_client_encryption_decrypt (mongoc_client_encryption_t *client_encryption,
                                          const bson_value_t *ciphertext,
                                          bson_value_t *value,
                                          bson_error_t *error);

Performs explicit decryption.

value is always initialized (even on failure). Caller must call bson_value_destroy() to free.

PARAMETERS

    •   client_encryption: A mongoc_client_encryption_t

    •   ciphertext: The ciphertext (a BSON binary with subtype 6) to decrypt.

    •   value: A bson_value_t for the resulting decrypted value.

    •   error: A bson_error_t set on failure.

RETURNS

Returns true if successful. Returns false and sets error otherwise.

SEE ALSO

    •   mongoc_client_enable_auto_encryption()

    •   mongoc_client_encryption_encrypt()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc